package com.community.huiju;

import com.alibaba.fastjson.JSONObject;
import com.community.huiju.dao.ToCommunitiesMapper;
import com.community.huiju.dao.TaUserMapper;
import com.community.huiju.dao.TpBuildingOwnerInfoMapper;
import com.community.huiju.dao.TpSysRoleMapper;
import com.community.huiju.model.TpBuildingOwnerInfo;
import com.community.huiju.model.TpSysRole;
import com.google.common.collect.Maps;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.List;
import java.util.Map;

@RunWith(SpringRunner.class)
@SpringBootTest
public class DemoApplicationTests {

	@Autowired
	private TpBuildingOwnerInfoMapper tpBuildingOwnerInfoMapper;
	@Autowired
	private TpSysRoleMapper tpSysRoleMapper;

	@Autowired
	private ToCommunitiesMapper toCommunitiesMapper;

	@Autowired
	private TaUserMapper taUserMapper;


	@Test
	public void contextLoads() {

		List<TpBuildingOwnerInfo> list = tpBuildingOwnerInfoMapper.selectList(null);
		System.out.println(list.size());
	}

	@Test
	public void getSysRoleMapper(){
		// 查询该用户的权限
		Map<String, Object> map = Maps.newHashMap();
		map.put("userId", 29);
		List<TpSysRole> tpSysRoleList = tpSysRoleMapper.selectByUserIdAndRoleId(map);
		System.out.println(JSONObject.toJSONString(tpSysRoleList));
	}

	@Test
	public void getUserCommunity(){
		// 查询该用户的权限
		toCommunitiesMapper.selectUserById(29);
	}


}
